package com.ruoyi.warehouseBusiness.mapper;

import com.ruoyi.warehouseBusiness.domain.TWarehousebillsfeesModify;

import java.util.List;

/**
 * 仓库费变更明细Mapper接口
 *
 * @author ruoyi
 * @date 2021-10-27
 */
public interface TWarehousebillsfeesModifyMapper {
    /**
     * 查询仓库费用明细
     *
     * @param fId 仓库费用明细ID
     * @return 仓库费用明细
     */
    public TWarehousebillsfeesModify selectTWarehousebillsfeesModifyById(Long fId);

    /**
     * 查询仓库费用明细列表
     *
     * @param tWarehousebillsfeesModify 仓库费用明细
     * @return 仓库费用明细集合
     */
    public List<TWarehousebillsfeesModify> selectTWarehousebillsfeesModifyList(TWarehousebillsfeesModify tWarehousebillsfeesModify);

    /**
     * 查询仓库费用明细列表数量
     *
     * @param tWarehousebillsfeesModify 仓库费用明细
     * @return 仓库费用明细集合
     */
    int selectFeesModifyCount(TWarehousebillsfeesModify tWarehousebillsfeesModify);

    /**
     * 新增仓库费用明细
     *
     * @param tWarehousebillsfeesModify 仓库费用明细
     * @return 结果
     */
    public int insertTWarehousebillsfeesModify(TWarehousebillsfeesModify tWarehousebillsfeesModify);

    /**
     * 修改仓库费用明细
     *
     * @param tWarehousebillsfeesModify 仓库费用明细
     * @return 结果
     */
    public int updateTWarehousebillsfeesModify(TWarehousebillsfeesModify tWarehousebillsfeesModify);

    /**
     * 删除仓库费用明细
     *
     * @param fId 仓库费用明细ID
     * @return 结果
     */
    public int deleteTWarehousebillsfeesModifyById(Long fId);

    /**
     * 批量删除仓库费用明细
     *
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTWarehousebillsfeesModifyByIds(List<Long> fIds);

    /**
     *  根据ids查询对应状态集合
     * @param ids
     * @return
     */
    List<TWarehousebillsfeesModify> selectStatusByIds(List<Long> ids);

    /**
     *  根据仓储id查询所有明细信息
     * @param pId
     * @return
     */
    List<TWarehousebillsfeesModify> selectListByPid(Long pId);

    /**
     *  根据Pid删除从表信息
     * @param ids
     * @return
     */
    int deleteByPid(List<Long> ids);
}
